{
  'includes':[
    '/usr/include/webapi-plugins/src/common/common.gypi',
  ],
  'targets': [
    {
      'target_name': 'tizen_teec',
      'type': 'loadable_module',
      'sources': [
        'libteec_api.js',
        'libteec_extension.cc',
        'libteec_extension.h',
        'libteec_instance.cc',
        'libteec_instance.h',
        'TeecManager.cc',
        'TeecManager.h',
        'TeecTranslations.cc',
        'TeecTranslations.h',
        'TeecContext.cc',
        'TeecContext.h',
        'TeecSession.cc',
        'TeecSession.h',
        'TeecSharedMemory.cc',
        'TeecSharedMemory.h',
        'TeecTempMemoryAllocator.cc',
        'TeecTempMemoryAllocator.h'
      ],
      'include_dirs': [
        '../',
        '<(SHARED_INTERMEDIATE_DIR)',
      ],
      'variables': {
        'pkg-config': 'pkg-config',
        'packages': [
          'webapi-plugins',
          'tef-libteec',
          'capi-system-info',
        ],
      },
    },
  ],
}
